﻿
@model IMS_IMS_MODEL.PipeModel


<script src="~/Scripts/toastr.min.js"></script>
<link href="~/Content/toastr.css" rel="stylesheet" />

<script>
      $('.txtDiameterPipe').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
      });

     $('.txtLengthPipe').keypress(function(event) {
        if ((event.which != 46 || $(this).val().indexOf('.') != -1) && (event.which < 48 || event.which > 57)) {
            event.preventDefault();
        }
       
      });


    $('.txtMakePipe').bind('keyup blur', function () {
        var node = $(this);
        node.val(node.val().replace(/[^a-zA-Z ]/g, ''));
    });
</script>

@using (Ajax.BeginForm("Pipe", "WBS", new AjaxOptions
{
    HttpMethod = "POST",
    OnSuccess = "OnSuccess",
    OnFailure = "OnFailure",
    LoadingElementId = "progress",
    OnComplete = "OnComplete"
}, new { @id = "FormPipe" }))
{
    @Html.AntiForgeryToken()



    @Html.ValidationSummary(true, "", new { @class = "text-danger" })
    <div class="container-fluid">
        <div class="row " style="display:none">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Location, "", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Location, new { htmlAttributes = new { @class = "form-control locationddlPipe", @id = "Location" } })
                    @Html.ValidationMessageFor(model => model.Location, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.ItemName, "", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.ItemName, new { htmlAttributes = new { @class = "form-control itemnameddlPipe" } })
                    @Html.ValidationMessageFor(model => model.ItemName, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>
        <div class="row ">
            <div class="form-group green-border-focus col-md-6 ">
                @Html.LabelFor(model => model.TypeOfPipe, "Pipe Type", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @*@Html.DropDownListFor(model => model.TypeOfPipe, Enumerable.Empty<SelectListItem>(), "--Select Pipe Type--", new { @class = "form-control", @id = "TypeOfPipe" })*@
                    @Html.EditorFor(model => model.TypeOfPipe, new { htmlAttributes = new { @class = "form-control", @placeholder = " Type of Pipe" } })
                    @Html.ValidationMessageFor(model => model.TypeOfPipe, "", new { @class = "text-danger" })


                </div>

            </div>
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Diameter, "Diameter", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Diameter, new { htmlAttributes = new { @class = "form-control txtDiameterPipe", placeholder = "Diameter in MM", @id = "Diameter" } })
                    @Html.ValidationMessageFor(model => model.Diameter, "", new { @class = "text-danger" })
                </div>
            </div>
        </div>

        <div class="row">
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Length, "Length", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Length, new { htmlAttributes = new { @class = "form-control txtLengthPipe", placeholder = "Length", @id = "Length" } })
                    @Html.ValidationMessageFor(model => model.Length, "", new { @class = "text-danger" })
                </div>
            </div>
            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Quantity, "Quantity", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control", placeholder = "Quantity", @id = "Quantity" } })
                    @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                </div>
            </div>


        </div>


        <div class="row">

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Make, "Make", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.EditorFor(model => model.Make, new { htmlAttributes = new { @class = "form-control txtMakePipe", placeholder = "Make", @id = "PipeMake" } })
                    @Html.ValidationMessageFor(model => model.Make, "", new { @class = "text-danger" })
                </div>
            </div>

            <div class="form-group green-border-focus col-md-6">
                @Html.LabelFor(model => model.Status, "Status", htmlAttributes: new { @class = "control-label col-md-4" })
                <div class="col-md-8">
                    @Html.DropDownListFor(model => model.Status, Enumerable.Empty<SelectListItem>(), "--Select Status--", new { @class = "form-control", @id = "Status" })
                    @Html.ValidationMessageFor(model => model.Status, "", new { @class = "text-danger" })

                </div>
            </div>
        </div>
        <div class="row">
            <div class="form-group green-border-focus col-md-12">
                @Html.LabelFor(model => model.Description, "Remarks", htmlAttributes: new { @class = "control-label col-md-2" })
                <div class="col-md-10">

                    @Html.TextAreaFor(model => model.Description, new { @class = "form-control green-border-focus",@placeholder="Write Something ...", @id = "description", rows = 3, cols = 90, @value = "Description", @title = "Description" })
                    @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                </div>
            </div>

        </div>
        <div class=" col-md-12">
            <div class=" col-md-6">
                <input type="submit" value="Submit Details" class="col-md-offset-6 btn btn-success btn-block" id="btnSubmit" />
            </div>

        </div>




    </div>
}

<hr class="style-eight" />

<div class=" col-md-6 offset-md-4">
    @Html.ActionLink(" Download XLSX File", "ExportSpeardSheetPipe", "WBS", null, new { @style = "text-transform:capitalize;", @class = "btn btn-success btn-lg  fa fa-file-excel-o large pull-right" })
    <h6 id="ItemName" style="color:Highlight;font-weight:900"><span style="color:Highlight;font-weight:900">ITEM NAME :</span> @ViewBag.PipeDetails</h6>
</div>
<div class="container-fluid" style="background-color:lightgrey">
    <table class="table table-bordered table-hover table-responsive table-striped" id="MyDataTablePipe" style="width:100%; text-align:center;border:1px solid">
        <thead>
            <tr style="text-align:center">
                <th style="text-align:center">Item Serial</th>
                @*<th style="text-align:center">Location</th>
                    <th style="text-align:center">Item Name</th>*@

                <th style="text-align:center">Pipe Type</th>
                <th style="text-align:center">Diameter</th>
                <th style="text-align:center">Length</th>
                <th style="text-align:center">Make</th>
                <th style="text-align:center">Quantity</th>
                <th style="text-align:center">Status</th>
                <th style="text-align:center">Description</th>


            </tr>
        </thead>
        <tbody></tbody>


    </table>
    <div style="text-align:center;display:none" id="loaderDiv">
        <img src="~/Content/images/circle-3.gif" width="70" />
    </div>
</div>

<script>

    $(document).ready(function () {


        $("#loaderDiv").show();
        ShowPipeDetails();
         $("#MyDataTablePipe").DataTable().clear();
        $("#MyDataTablePipe").DataTable().destroy();

    });
    var responseData = '';
    var ShowPipeDetails = function () {

        $.ajax({

            type: "POST",
            url: "/WBS/ShowPipeDetails",
            success: function (response) {

                response = JSON.parse(BindDataTablePipe(response));

                $("#MyDataTablePipe").append(response)

            }
        });
    }

    var BindDataTablePipe = function (response) {
        

        $("#MyDataTablePipe").DataTable({

            "aaData": response,
            "aoColumns": [

                { "mData": "ItemCode" },
                //{ "mData": "Location" },
                //{ "mData": "ItemName" },
                { "mData": "PipeType1" },
                { "mData": "Diameter" },
                { "mData": "Length" },
                { "mData": "Make" },
                { "mData": "Quantity" },
                { "mData": "Status" },
                { "mData": "Description" }


            ]



        });


        $("#loaderDiv").hide();
    }


</script>

<script>

    $(document).ready(function () {

        var SessionValueLocation = '@Request.RequestContext.HttpContext.Session["location"]';


    if (typeof (Storage) !== "undefined") {
        var ItemNameStore = window.localStorage.getItem('ItemNameStorage');
       // var LocationStore = window.localStorage.getItem('LocationStorage');

        $(".itemnameddlPipe").val(ItemNameStore);
        $(".locationddlPipe").val(SessionValueLocation);



    }
    else {
        alert("This browser does  not support local storage");
    }
 });
</script>

<script>

    function OnSuccess(result) {

        console.log(result);
        if (result.result == true) {

            toastr.success("Asset Added Successfully", "Message", { timeOut: 4000 });
            window.localStorage.removeItem("ItemNameStorage");
            window.localStorage.removeItem("LocationStorage");
            setTimeout(function () { location.reload(); }, 1000);
        }
        else if (result.result == false) {

            toastr.warning("All Fields are Required !!", "Error Message ", { timeOut: 5000 });
        }
    }


    function OnFailure(result) {

        toastr.error("Something Went Wrong", "Error Message");


    }
    function OnComplete(result) {


        document.getElementById("FormPipe").reset();


    }


</script>
<script>
    $.getJSON("/WBS/DDLStatus", function (data) {
        $.each(data, function (i, data) {      // bind the dropdown list using json result
            $('<option>',
                {
                    value: data.status,
                    text: data.status
                }).html(data.status).appendTo("#Status");
        });
    });


    $.getJSON("/WBS/DDLTypeOfPipe", function (data) {
        $.each(data, function (i, data) {      // bind the dropdown list using json result
            $('<option>',
                {
                    value: data.PumpType,
                    text: data.PumpType
                }).html(data.PumpType).appendTo("#TypeOfPipe");
        });
    });
</script>
